Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.axes
Class RootWalker

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.patterns.NodeTest
                  |
                  +--org.apache.xpath.axes.AxesWalker
                        |
                        +--org.apache.xpath.axes.RootWalker

public class RootWalker
extends AxesWalker

Walker for the FROM_ROOT axes.

See Also:
  XPath location-paths descriptions, XPath AbsoluteLocationPath descriptions, XPath AbbreviatedAbsoluteLocationPath descriptions

Fields inherited from class org.apache.xpath.patterns.NodeTest
`SCORE_NONE, SHOW_BYFUNCTION, SHOW_NAMESPACE, WILD`

Constructor Summary
`RootWalker(LocPathIterator locPathIterator)` Construct a RootWalker using a LocPathIterator.

Method Summary
`Node` | `firstChild()` Moves the `TreeWalker` to the first visible child of the current node, and returns the new node.

Methods inherited from class org.apache.xpath.axes.AxesWalker
`acceptNode, clone, getCurrentNode, getExpandEntityReferences, getFilter, getLastPos, getLocPathIterator, getNextWalker, getPredicateCount, getPredicateIndex, getPrevWalker, getProximityPosition, getProximityPosition, getRoot, init, initProximityPosition, isReverseAxes, lastChild, nextNode, nextSibling, parentNode, previousNode, previousSibling, reset, resetProximityPositions, setCurrentNode, setLocPathIterator, setNextWalker, setPredicateCount, setPrevWalker, setRoot, toString`

Methods inherited from class org.apache.xpath.patterns.NodeTest
`debugWhatToShow, execute, getDefaultScore, getLocalName, getNamespace, getWhatToShow, initNodeTest, initNodeTest`

Methods inherited from class org.apache.xpath.Expression
`assert, error, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RootWalker

    public RootWalker(LocPathIterator locPathIterator)

  Construct a RootWalker using a LocPathIterator.

Method Detail

### firstChild

    public Node firstChild()

  Moves the `TreeWalker` to the first visible child of the current node, and returns the new node. If the current node has no visible children, returns `null` , and retains the current node.
  Returns:
    The new node, or `null` if the current node has no visible children in the TreeWalker's logical view.
  Overrides:
    firstChild in class AxesWalker

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.